Name:           extundelete
Version:        0.2.0
Release:        5%{?dist}
Summary:        An ext3 and ext4 file system undeletion utility

Group:          Applications/System
License:        GPLv2+
URL:            http://extundelete.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  e2fsprogs-devel

Patch0:         01_output_dir.patch
Patch1:         02_fix_reserved2_checksum_lo_compile_issue.patch
Patch2:         03_fix_opaque_ext2_group_desc_compile_error.patch
Patch3:         04_fix_frags_per_group_compile_error.patch

%description
extundelete is a utility that can recover deleted files from an ext3 or ext4
partition. extundelete uses the information stored in the partition's journal
to attempt to recover a file that has been deleted from the partition. There is
no guarantee that any particular file will be able to be undeleted, so always
try to have a good backup system in place, or at least put one in place after
recovering your files!

%prep
%setup -q
%patch0 -p1 -b .output-dir
%patch1 -p1 -b .fix-reserved2-checksum-lo-compile-issue
%patch2 -p1 -b .fix-opaque-ext2-group-desc-compile-error
%patch3 -p1 -b .fix-frags-per-group-compile-error

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/%{name}


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for c++ ABI breakage

* Thu Jan 26 2012 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.2.0-4
- Add patches from debian for e2fsprogs changes 

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 24 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 0.2.0-1
- New upstream release
- Drop no-strict-aliasing-break patch
- Drop OPTFLAGS patch ( no need now since autotools are used )

* Tue Apr 13 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 0.1.8-2
- Fix miscellaneous issues ( https://bugzilla.redhat.com/show_bug.cgi?id=581723#c1 )

* Sun Apr 11 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 0.1.8-1
- Initial rpm
